Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.section.swt
Class SectionedAreaSWTRenderer

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VSectionedArea>
              org.eclipse.emf.ecp.view.spi.section.swt.SectionedAreaSWTRenderer

    public class SectionedAreaSWTRenderer

extends AbstractSWTRenderer<VSectionedArea>

Renderer for `VSectionedArea`.

Author:
  jfaltermeier

Constructor Summary
`SectionedAreaSWTRenderer(VSectionedArea vElement, ViewModelContext viewContext, ReportService reportService)`

Method Summary
`void` | `finalizeRendering(org.eclipse.swt.widgets.Composite parent)` Called by the framework to initialize listener.
`SWTGridDescription` | `getGridDescription(SWTGridDescription gridDescription)` Returns the GridDescription for this Renderer.

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SectionedAreaSWTRenderer

    public SectionedAreaSWTRenderer(VSectionedArea vElement,
                                    ViewModelContext viewContext,
                                    ReportService reportService)

Parameters:
  `vElement` - the view model element to be rendered
  `viewContext` - the view context
  `reportService` - the `ReportService`
Since:
  1.6

Method Detail

### getGridDescription

    public SWTGridDescription getGridDescription(SWTGridDescription gridDescription)

  Description copied from class: `AbstractSWTRenderer`
  Returns the GridDescription for this Renderer.

  Specified by:
    `getGridDescription` in class `AbstractSWTRenderer<VSectionedArea>`
  Parameters:
    `gridDescription` - the current `SWTGridDescription`
  Returns:
    the number of controls per row

### finalizeRendering

    public void finalizeRendering(org.eclipse.swt.widgets.Composite parent)

  Called by the framework to initialize listener.

  Overrides:
    `finalizeRendering` in class `AbstractSWTRenderer<VSectionedArea>`
  Parameters:
    `parent` - the parent used during render
  See Also:
    `AbstractSWTRenderer.finalizeRendering(org.eclipse.swt.widgets.Composite)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.